/**
 * @license Copyright (c) 2003-2013, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.html or http://ckeditor.com/license
 */

CKEDITOR.editorConfig = function( config ) {
	// Define changes to default configuration here. For example:
	// config.language = 'fr';
	// config.uiColor = '#AADC6E';
	
	config.indentOffset = 5;
	
	// Sprecava ubacivanje p taga u vecini slucajeva. Ne radi u kada je div sam u td
	config.autoParagraph = false;
	
	// Sprecava unos html tagova, javscript-e... pastovanjem / ne deluje na word
	// config.forcePasteAsPlainText = true;
	
	// Sprecavanje konverzije html znakova u entitete
	config.entities = false;
	
	// Za inline unosenje nasih slova
	config.entities_latin = false;
    config.entities_greek = false;
	
	// Ne radi se konverzija u nbsp gt lt amp
	config.basicEntities = false;
	
	// Dozvoljava editovanje iz kod moda
	config.allowedContent = true;
	
	config.extraPlugins = 'savebtn,confighelper';
	
	// Custom Toolbars
	
	// Full opcije
	
	config.toolbar_Full = [
		{ name: 'document', items: [ 'savebtn', 'Sourcedialog', '-', 'NewPage', 'Preview', 'Print', '-', 'Templates' ] },
		{ name: 'clipboard',  items: [ 'Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord', '-', 'Undo', 'Redo' ] },
		{ name: 'editing', items: [ 'Find', 'Replace', '-', 'SelectAll', '-', 'Scayt' ] },
		{ name: 'forms', items: [ 'Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 'HiddenField' ] },
		'/',
		{ name: 'basicstyles', items: [ 'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat' ] },
		{ name: 'paragraph', items: [ 'NumberedList', 'BulletedList', '-', 'Outdent', 'Indent', '-', 'Blockquote', 'CreateDiv', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', '-', 'BidiLtr', 'BidiRtl' ] },
		{ name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] },
		{ name: 'insert', items: [ 'Image', 'Flash', 'Slideshow', 'Youtube', 'Table', 'HorizontalRule', 'Smiley', 'SpecialChar', 'PageBreak', 'Iframe' ] },
		'/',
		{ name: 'styles', items: [ 'Styles', 'Format', 'Font', 'FontSize' ] },
		{ name: 'colors', items: [ 'TextColor', 'BGColor' ] },
		{ name: 'tools', items: [ 'Maximize', 'ShowBlocks' ] }
	];
	
	// Size
	
	config.toolbar_Description = [
		{ name: 'document', items: [ 'savebtn', 'Sourcedialog', '-', 'Preview' ] },
		{ name: 'clipboard',  items: [ 'Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord', '-', 'Undo', 'Redo' ] },
		{ name: 'editing', items: [ 'Find', 'Replace', '-', 'SelectAll', '-', 'Scayt' ] },
		'/',
		{ name: 'basicstyles', items: [ 'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat' ] },
		{ name: 'paragraph', items: [ 'NumberedList', 'BulletedList', '-', 'Outdent', 'Indent', '-', 'Blockquote', 'CreateDiv', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', '-', 'BidiLtr', 'BidiRtl' ] },
		{ name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] },
		{ name: 'insert', items: [ 'Image', 'Flash' ] },

		{ name: 'insert', items: [ 'HorizontalRule', 'Smiley', 'SpecialChar' ] },
		'/',
		{ name: 'styles', items: [ 'Styles', 'Format', 'Font', 'FontSize' ] },
		{ name: 'colors', items: [ 'TextColor', 'BGColor' ] },
		{ name: 'tools', items: [ 'Maximize', 'ShowBlocks' ] }
	];
	
	// Samo Link
	
	config.toolbar_Link = [
		{ name: 'document', items: [ 'savebtn', 'Sourcedialog' ] },
		{ name: 'clipboard',  items: [ 'Undo', 'Redo' ] },
		{ name: 'basicstyles', items: [ 'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat' ] },
		{ name: 'paragraph', items: [ 'JustifyLeft', 'JustifyCenter', 'JustifyRight' ] },
		{ name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] },
		{ name: 'insert', items: [ 'Image', 'Flash', 'Slideshow', 'Youtube', 'Table', 'HorizontalRule', 'Smiley', 'SpecialChar', 'PageBreak', 'Iframe' ] },
		{ name: 'colors', items: [ 'TextColor', 'BGColor' ] },
		{ name: 'tools', items: [ 'Maximize', 'ShowBlocks' ] }
	];
	
	// Samo Upload
	
	config.toolbar_Upload = [
		{ name: 'document', items: [ 'savebtn', 'Sourcedialog' ] },
		{ name: 'clipboard',  items: [ 'Undo', 'Redo' ] },
		{ name: 'basicstyles', items: [ 'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat' ] },
		{ name: 'paragraph', items: [ 'JustifyLeft', 'JustifyCenter', 'JustifyRight' ] },
		{ name: 'links', items: [ 'Link', 'Unlink' ] },
		{ name: 'colors', items: [ 'TextColor', 'BGColor' ] },
		{ name: 'tools', items: [ 'Maximize', 'ShowBlocks' ] }
	];
	
	// Title
	
	config.toolbar_Title = [
		{ name: 'document', items: [ 'savebtn', 'Sourcedialog' ] },
		{ name: 'clipboard',  items: [ 'Undo', 'Redo' ] },
		{ name: 'basicstyles', items: [ 'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat' ] },
		{ name: 'paragraph', items: [ 'JustifyLeft', 'JustifyCenter', 'JustifyRight' ] },
		{ name: 'colors', items: [  'FontSize', 'TextColor', 'BGColor' ] },
		{ name: 'tools', items: [ 'Maximize', 'ShowBlocks' ] }
	];
	
	// Samo fotografije
	
	config.toolbar_Photo = [
		{ name: 'document', items: [ 'savebtn', 'Sourcedialog' ] },
		{ name: 'clipboard',  items: [ 'Undo', 'Redo' ] },
		{ name: 'insert', items: [ 'Image', 'Flash' ] },
		{ name: 'paragraph', items: [ 'JustifyLeft', 'JustifyCenter', 'JustifyRight' ] }
	];
	
	// Samo slideshow
	
	config.toolbar_Slideshow = [
		{ name: 'document', items: [ 'savebtn', 'Sourcedialog' ] },
		{ name: 'clipboard',  items: [ 'Undo', 'Redo' ] },
		{ name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] },
		{ name: 'insert', items: [ 'Image', 'Flash', 'Slideshow', 'Youtube', 'Iframe' ] }
	];
	
	// Samo banner
	
	config.toolbar_Banner = [
		{ name: 'document', items: [ 'savebtn', 'Sourcedialog' ] },
		{ name: 'clipboard',  items: [ 'Undo', 'Redo' ] },
		{ name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] },
		{ name: 'insert', items: [ 'Image', 'Flash', 'Slideshow', 'Table', 'CreateDiv' ] },
		{ name: 'tools', items: [ 'Maximize', 'ShowBlocks' ] },
		{ name: 'paragraph', items: [ 'JustifyLeft', 'JustifyCenter', 'JustifyRight' ] }
	];
	
	// Samo video
	
	config.toolbar_Video = [
		{ name: 'document', items: [ 'savebtn', 'Sourcedialog', 'Youtube', 'Iframe' ] },
		{ name: 'clipboard',  items: [ 'Undo', 'Redo' ] }
	];
	
	// Samo media
	
	config.toolbar_Media = [
		{ name: 'document', items: [ 'savebtn', 'Sourcedialog' ] },
		{ name: 'clipboard',  items: [ 'Undo', 'Redo' ] },
		{ name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] },
		{ name: 'insert', items: [ 'Image', 'Flash', 'Slideshow', 'Youtube' ] }
	];
};
