﻿/*
 * CKFinder
 * ========
 * http://cksource.com/ckfinder
 * Copyright (C) 2007-2013, CKSource - Frederico Knabben. All rights reserved.
 *
 * The software, this file, and its contents are subject to the CKFinder
 * License. Please read the license.txt file before using, installing, copying,
 * modifying, or distributing this file or part of its contents. The contents of
 * this file is part of the Source Code of CKFinder.
 *
 */

/**
 * @fileOverview Defines the {@link CKFinder.lang} object for the Serbian
 * Translation for the Serbian language: Goran Markovic, University Computer Center of Banja Luka
 *
 */

/**
 * Contains the dictionary of language entries.
 * @namespace
 */
CKFinder.lang['sr'] =
{
	appTitle : 'Датотеке',

	// Common messages and labels.
	common :
	{
		// Put the voice-only part of the label in the span.
		unavailable		: '%1<span class="cke_accessibility">, nedostupno</span>',
		confirmCancel	: 'Neke od opcija su promenjene. Da li ste sigurni da želite da zatvorite prozor?',
		ok				: 'U redu',
		cancel			: 'Poništi',
		confirmationTitle	: 'Potvrda',
		messageTitle	: 'Informacija',
		inputTitle		: 'Pitanje',
		undo			: 'Poništi',
		redo			: 'Preuredi',
		skip			: 'Preskoči',
		skipAll			: 'Preskoči sve',
		makeDecision	: 'Donesi odluku?',
		rememberDecision: 'Zapamti moj izbor'
	},


	// Language direction, 'ltr' or 'rtl'.
	dir : 'ltr',
	HelpLang : 'en',
	LangCode : 'sr',

	// Date Format
	//		d    : Day
	//		dd   : Day (padding zero)
	//		m    : Month
	//		mm   : Month (padding zero)
	//		yy   : Year (two digits)
	//		yyyy : Year (four digits)
	//		h    : Hour (12 hour clock)
	//		hh   : Hour (12 hour clock, padding zero)
	//		H    : Hour (24 hour clock)
	//		HH   : Hour (24 hour clock, padding zero)
	//		M    : Minute
	//		MM   : Minute (padding zero)
	//		a    : Firt char of AM/PM
	//		aa   : AM/PM
	DateTime : 'd.m.yyyy HH:MM',
	DateAmPm : ['AM', 'PM'],

	// Folders
	FoldersTitle	: 'Fascikle',
	FolderLoading	: 'Učitavam...',
	FolderNew		: 'Unesi novo ime fascikle: ',
	FolderRename	: 'Унесите ново име фасцикле: ',
	FolderDelete	: 'Da li ste sigurni da želite obrisati fasciklu "%1"?',
	FolderRenaming	: ' (Promena naziva fascikle...)',
	FolderDeleting	: ' (Brisanje...)',
	DestinationFolder	: 'Odredišna fascikla', 

	// Files
	FileRename		: 'Unesite novi naziv datoteke: ',
	FileRenameExt	: 'Da li ste sigurni da želite promeniti tip datoteke? Datoteka može postati neupotrebljiva.',
	FileRenaming	: 'Promena naziva datoteke...',
	FileDelete		: 'Da li ste sigurni da želite obrisati datoteku "%1"?',
	FilesDelete	: 'Da li ste sigurni da želite obrisati %1 datoteku?', 
	FilesLoading	: 'Učitavam...',
	FilesEmpty		: 'Fascikla je prazna.',
	DestinationFile	: 'Odredišna datoteka',
	SkippedFiles	: 'Lista preskočenih datoteka:', 

	// Basket
	BasketFolder		: 'Kanta',
	BasketClear			: 'Isprazni kantu',
	BasketRemove		: 'Ukloni iz kante',
	BasketOpenFolder	: 'Otvori nađenu fasciklu',
	BasketTruncateConfirm : 'Da li ste sigurni da želite obrisati sve datoteke iz kante?',
	BasketRemoveConfirm	: 'Da li ste sigurni da želite obrisati datoteku "%1" iz kante?',
	BasketRemoveConfirmMultiple	: 'Da li ste sigurni da želite obrisati %1 datoteke iz kante?', 
	BasketEmpty			: 'Nijedna datoteka nije pronadjena.',
	BasketCopyFilesHere	: 'Kopiraj datoteke iz kante',
	BasketMoveFilesHere	: 'Premesti datoteke iz kante',

	// Global messages
	OperationCompletedSuccess	: 'Operacija uspešno izvršena.',
	OperationCompletedErrors		: 'Operacija izvršena sa greškama.',
	FileError				: '%s: %e', // MISSING

	// Move and Copy files
	MovedFilesNumber		: 'Broj premeštenih datoteka: %s.',
	CopiedFilesNumber	: 'Broj kopiranih datoteka: %s.',
	MoveFailedList		: 'Broj datoteka koje nisu premeštene:<br />%s',
	CopyFailedList		: 'Broj fajlova koji nisu kopirani:<br />%s', // MISSING

	// Toolbar Buttons (some used elsewhere)
	Upload		: 'Otpremi',
	UploadTip	: 'Otpremi nove datoteke na server',
	Refresh		: 'Osveži',
	Settings	: 'Podešavanja',
	Help		: 'Pomoć',
	HelpTip		: 'Pomoć',

	// Context Menus
	Select			: 'Odaberi',
	SelectThumbnail : 'Оdaberi manju sliku',
	View			: 'Pogledaj',
	Download		: 'Preuzmi',

	NewSubFolder	: 'Nova podfascikla',
	Rename			: 'Promeni naziv',
	Delete			: 'Obriši',
	DeleteFiles		: 'Obriši datoteku',

	CopyDragDrop	: 'Kopiraj datoteku ovde',
	MoveDragDrop	: 'Premesti datoteku ovde',

	// Dialogs
	RenameDlgTitle		: 'Promeni naziv',
	NewNameDlgTitle		: 'Novi naziv',
	FileExistsDlgTitle	: 'Datoteka već postoji',
	SysErrorDlgTitle : 'Greška sistema',

	FileOverwrite	: 'Prepiši',
	FileAutorename	: 'Automatska promena naziva',
	ManuallyRename	: 'Ručno preimenovanje',

	// Generic
	OkBtn		: 'U redu',
	CancelBtn	: 'Poništi',
	CloseBtn	: 'Zatvori',

	// Upload Panel
	UploadTitle			: 'Otpremi novu datoteku',
	UploadSelectLbl		: 'Odaberi datoteku za otpremanje',
	UploadProgressLbl	: '(Slanje u toku, molimo sačekajte...)',
	UploadBtn			: 'Otpremi odabranu datoteku',
	UploadBtnCancel		: 'Poništi',

	UploadNoFileMsg		: 'Odaberite datoteku na vašem računaru.',
	UploadNoFolder		: 'Odaberite fascikle pre otpremanja.',
	UploadNoPerms		: 'Otpremanje datoteke nije dozvoljeno.',
	UploadUnknError		: 'Greška prilikom otpremanja datoteke.',
	UploadExtIncorrect	: 'Tip datoteke nije dozvoljen.',

	// Flash Uploads
	UploadLabel			: 'Datoteka za otpremanje:',
	UploadTotalFiles	: 'Ukupno datoteka:',
	UploadTotalSize		: 'Ukupna veličina:',
	UploadSend			: 'Otpremi',
	UploadAddFiles		: 'Dodaj datoteke',
	UploadClearFiles	: 'Izbaci datoteke',
	UploadCancel		: 'Poništi otpremanje',
	UploadRemove		: 'Ukloni',
	UploadRemoveTip		: 'Ukloni !f',
	UploadUploaded		: 'Poslato !n%',
	UploadProcessing	: 'Obrada u toku...',

	// Settings Panel
	SetTitle		: 'Podešavanja',
	SetView			: 'Pregled:',
	SetViewThumb	: 'Mapa slika',
	SetViewList		: 'Lista',
	SetDisplay		: 'Prikaz:',
	SetDisplayName	: 'Naziv datoteke',
	SetDisplayDate	: 'Datum',
	SetDisplaySize	: 'Veličina datoteke',
	SetSort			: 'Sortiranje:',
	SetSortName		: 'po nazivu',
	SetSortDate		: 'po datumu',
	SetSortSize		: 'po veličini',
	SetSortExtension		: 'po vrsti datoteke',

	// Status Bar
	FilesCountEmpty : '<Prazna fascikla>',
	FilesCountOne	: '1 datoteka',
	FilesCountMany	: '%1 datoteka(е)',

	// Size and Speed
	Kb				: '%1 KB',
	Mb				: '%1 MB',
	Gb				: '%1 GB',
	SizePerSecond	: '%1/s',

	// Connector Error Messages.
	ErrorUnknown	: 'Nije moguće završiti zahtev. (Greška %1)',
	Errors :
	{
	 10 : 'Nepoznata naredba.',
	 11 : 'Nije navedena vrsta u zahtevu.',
	 12 : 'Zatražena vrsta nije važeća.',
	102 : 'Neispravan naziv datoteke ili fascikle.',
	103 : 'Nije moguće izvršiti zahtev zbog ograničenja pristupa.',
	104 : 'Nije moguće izvršiti zahtev zbog ograničenja postavke sistema .',
	105 : 'Nedozvoljena vrsta datoteke.',
	109 : 'Nedozvoljen zahtev.',
	110 : 'Nepoznata greška.',
	111 : 'Nije moguće izvršiti zahtev zbog veličine datoteke.',
	115 : 'Datoteka ili fascikla sa istim nazivom već postoji.',
	116 : 'Fascikla nije pronađena. Osvežite stranicu i pokušajte ponovo.',
	117 : 'Datoteka nije pronađena. Osvežite listu datoteka i pokušajte ponovo.',
	118 : 'Putanja izvorišta i odredišta su iste.',
	201 : 'Datoteka sa istim nazivom već postoji. Otpremljena datoteka je promenjena u "%1".',
	202 : 'Neispravna datoteka.',
	203 : 'Neispravna datoteka. Veličina datoteke je prevelika.',
	204 : 'Otpremljena datoteka je neispravna.',
	205 : 'Ne postoji privremena fascila za otpremanje na server.',
	206 : 'Slanje je poništeno zbog sigurnosnih postavki. Naziv datoteke sadrži HTML karaktere.',
	207 : 'Otpremljena datoteka je promenjena u "%1".',
	300 : 'Premeštanje datoteke(a) nije uspelo.',
	301 : 'Kopiranje datoteke(a) nije uspelo.',
	500 : 'Pretraživanje datoteka nije dozvoljeno iz sigurnosnih razloga. Molimo kontakirajte administratora.',
	501 : 'Thumbnail podrška nije moguća.'
	},

	// Other Error Messages.
	ErrorMsg :
	{
		FileEmpty		: 'Naziv datoteke nedostaje.',
		FileExists		: 'Datoteka %s već postoji.',
		FolderEmpty		: 'Naziv fascikle nedostaje.',
		FolderExists	: 'Fascikla %s već postoji.',
		FolderNameExists	: 'Fascikla već postoji.',

		FileInvChar		: 'Naziv datoteke ne sme sadržati ni jedan od znakova: \n\\ / : * ? " < > |',
		FolderInvChar	: 'Naziv fascikle ne sme sadržati ni jedan od znakova: \n\\ / : * ? " < > |',

		PopupBlockView	: 'Nije moguće otvoriti datoteku u novom prozoru. Promenite podešavanja vašeg internet pretraživača i isključite sve block up skripte za ovu web stranicu.',
		XmlError		: 'Nije moguće učitati XML odgovor od web servera.',
		XmlEmpty		: 'Nije moguće učitati XML odgovor od web servera. Server je vratio prazan odgovor.',
		XmlRawResponse	: 'Odgovor servera: %s'
	},

	// Imageresize plugin
	Imageresize :
	{
		dialogTitle		: 'Promeni veličinu %s',
		sizeTooBig		: 'Nije moguće postaviti veličinu veću od originala (%size).',
		resizeSuccess	: 'Slika je uspešno promenjena.',
		thumbnailNew	: 'Napravi malu sliku',
		thumbnailSmall	: 'Mala (%s)',
		thumbnailMedium	: 'Srednja (%s)',
		thumbnailLarge	: 'Velika (%s)',
		newSize			: 'Postavi novu veličinu',
		width			: 'Širina',
		height			: 'Visina',
		invalidHeight	: 'Neispravna visina.',
		invalidWidth	: 'Neispravna širina.',
		invalidName		: 'Neispravan naziv datoteke.',
		newImage		: 'Napravi novu sliku',
		noExtensionChange : 'Tip datoteke se ne sme menjati.',
		imageSmall		: 'Izvorna slika je premala.',
		contextMenuName	: 'Promeni veličinu',
		lockRatio		: 'Zaključaj odnose',
		resetSize		: 'Vrati veličinu'
	},

	// Fileeditor plugin
	Fileeditor :
	{
		save			: 'Sačuvaj',
		fileOpenError	: 'Nije moguće otvoriti datoteku.',
		fileSaveSuccess	: 'Datoteka je uspešno sačuvana.',
		contextMenuName	: 'Promeni',
		loadingFile		: 'Učitavanje, molimo sačekajte...'
	},

	Maximize :
	{
		maximize : 'Povećaj',
		minimize : 'Smanji'
	},

	Gallery :
	{
		current : 'Slika {current} od {total}'
	},

	Zip :
	{
		extractHereLabel	: 'Otpakuj ovde', 
		extractToLabel		: 'Otpakuj u...', 
		downloadZipLabel	: 'Preuzmi kao zip', 
		compressZipLabel	: 'Kompresuj u zip', 
		removeAndExtract	: 'Ukloni i otpakuj', 
		extractAndOverwrite	: 'Otpakuj i prepiši postojeće datoteke', 
		extractSuccess		: 'Otpakivanje datoteke je uspešno.' 
	},

	Search :
	{
		searchPlaceholder : 'Pretraga'
	}
};
